> ## Documentation Index
> Fetch the complete documentation index at: https://docs.daily.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Recordings

> List recordings



## OpenAPI

````yaml GET /recordings
openapi: 3.0.3
info:
  title: Daily API
  description: |-
    The Daily REST API offers the ability to manage the following: 
    - Overall Domain Configuration
    - Individual Room creation and config management 
    - Meeting token creation and validation
    - Recording and compositing management 
    - Meeting analytics
    - Logs and metrics
    - Real-time presence

    Please reach out to help@daily.co if we can help with anything
  version: 1.1.1
  contact:
    name: Daily
    url: https://docs.daily.co
    email: help@daily.co
servers:
  - url: https://api.daily.co/v1
security:
  - bearerAuth: []
paths:
  /recordings:
    get:
      tags:
        - recordings
      summary: /recordings
      description: List recordings
      operationId: ListRecordings
      parameters:
        - name: limit
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: integer
            format: int32
        - name: ending_before
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: starting_after
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: room_name
          in: query
          required: false
          style: form
          explode: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  total_count:
                    type: integer
                    example: 3
                    default: 0
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: bfd0c52b-3a2a-4269-80ce-cae9eef55536
                        start_ts:
                          type: integer
                          example: 1548790974
                          default: 0
                        status:
                          type: string
                          example: in-progress
                        max_participants:
                          type: integer
                          example: 2
                          default: 0
                        share_token:
                          type: string
                          example: NcWgEiJuqD8v
                        s3key:
                          type: string
                          example: mydomain/test-recording-room/11245260397
                        mtgSessionId:
                          type: string
                          example: 257764e6-c74e-4c30-944a-a887a03173a3
              examples:
                Result:
                  value:
                    total_count: 3
                    data:
                      - id: bfd0c52b-3a2a-4269-80ce-cae9eef55536
                        start_ts: 1548790974
                        status: in-progress
                        max_participants: 2
                        share_token: NcWgEiJuqD8v
                        s3key: mydomain/test-recording-room/11245260397
                        mtgSessionId: 411c96b4-c13b-4f35-b639-4fda02863743
                      - id: 0cb313e1-211f-4be0-833d-8c7305b19902
                        start_ts: 1548789650
                        status: finished
                        max_participants: 2
                        duration: 277
                        share_token: TivXjlD22QQt
                        s3key: mydomain/test-recording-room/277255707741,
                        mtgSessionId: 1117a5d8-f6c4-4ff5-a9ec-2a324666f0da
                      - id: 89a4a0a4-03cf-454f-b874-e83d91b0296f
                        start_ts: 1548788621
                        status: finished
                        max_participants: 1
                        duration: 53
                        share_token: QehWXiO2zMMf
                        s3key: mydomain/test-recording-room/11245260397,
                        mtgSessionId: 257764e6-c74e-4c30-944a-a887a03173a3,
        '400':
          $ref: '#/components/responses/400'
      deprecated: false
      security:
        - bearerAuth: []
components:
  responses:
    '400':
      description: '400'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              info:
                type: string
          examples:
            Result:
              value:
                error: invalid-request-error
                info: missing required field
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````